Skip to Content
Jobs

Read a job

GET
/developer/jobs/{id}

One of the candidate's matches in full: description, pay, fit and whether GetMattered can apply to it (canSend). Free.

Authorization

DeveloperKey
headerAuthorizationBearer <gm_live_...>

A GetMattered developer API key, sent as Authorization: Bearer gm_live_....

Path Parameters

id*integer

The match id from GET /developer/jobs/matches or a search jobMatchId.

Range0 < value

Response Body

The match.

application/json
  1. response

Successful API response

data*
meta?
success*true
Value intrue
Example Request
curl -X GET 'https://api.getmattered.com/api/v1/developer/jobs/1'
Example Response
{
  "data": {
    "canSend": true,
    "company": "string",
    "companyLogoUrl": "string",
    "description": "string",
    "extractedSkills": [
      "string"
    ],
    "id": 0,
    "jobType": "string",
    "location": "string",
    "matchScore": 0,
    "postedAt": "string",
    "salary": "string",
    "salaryCurrency": "string",
    "salaryMaxUsd": 0,
    "salaryMinUsd": 0,
    "title": "string",
    "url": "string",
    "visaSponsorship": "string",
    "whyGoodFit": "string",
    "workArrangement": "string"
  },
  "meta": {
    "duration": 0,
    "performance": {
      "dbQueries": 0,
      "totalDbTime": 0
    },
    "requestId": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "version": "string"
  },
  "success": true
}